using System;

namespace HRD.AppLogger
{
    public interface ILoggerManager
    {
        void LogDebug(string message, string entityMessage = null, string webrequest = null, string userLogin = null);

        void LogError(string message, string entityMessage = null, string webrequest = null, string userLogin = null);

        void LogInfo(string message, string entityMessage = null, string webrequest = null, string userLogin = null);

        void LogWarn(string message, string entityMessage = null, string webrequest = null, string userLogin = null);

        void LogException(Exception exception, string entityMessage = null, string webrequest = null, string userLogin = null);
    }
}